<html devsite><head>
    <title>Android 安全性公告 - 2016 年 8 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>發佈日期：2016 年 8 月 1 日 | 更新日期：2016 年 10 月 21 日</em></p>
<p>Android 安全性公告羅列了會對 Android 裝置造成影響的安全性漏洞，並說明各項相關細節。在這篇公告發佈的同時，Google 已透過 OTA 更新機制發佈了 Nexus 裝置的安全性更新。此外，Nexus 韌體映像檔也已經發佈到 <a href="https://developers.google.com/android/nexus/images">Google Developers 網站</a>上。2016 年 8 月 5 日之後的安全性修補程式等級已解決了這些問題。請參閱<a href="https://support.google.com/nexus/answer/4457705#nexus_devices">說明文件</a>，瞭解如何查看安全性修補程式等級。
</p>
<p>合作夥伴是在 2016 年 7 月 6 日或之前收到有關公告中所述問題的相關通知。這些問題的原始碼修補程式 (如果有對應的修補程式) 已發佈到 Android 開放原始碼計劃 (AOSP) 存放區中。此外，本公告也提供 Android 開放原始碼計劃以外的修補程式連結。</p>
<p>在這些問題中，最嚴重的就是「最高」等級的安全性漏洞。當系統執行媒體檔案時，遠端程式碼可利用這類漏洞，透過電子郵件、網頁瀏覽活動和多媒體訊息等方法，自動在受影響的裝置上執行。<a href="/security/overview/updates-resources.html#severity">嚴重程度評定標準</a>是假設平台與服務的因應防護措施基於開發作業的需求而被停用，或是遭到有心人士破解，然後推算當有人惡意運用漏洞時，裝置會受到多大的影響，據此評定漏洞的嚴重程度。
</p>
<p>針對這些新發現的漏洞，我們目前尚未收到任何客戶回報相關的漏洞濫用案例。如果您想進一步瞭解 <a href="#mitigations">Android 安全性平台防護措施</a>和服務防護措施 (例如 SafetyNet) 如何加強 Android 平台的安全性，請參閱 <a href="/security/enhancements/index.html">Android 和 Google 服務問題因應措施</a>一節。
</p>
<p>我們建議所有客戶接受這些裝置更新。
</p>
<h2 id="announcements">公告事項</h2>
<ul>
<li>修訂公告內容 (將 CVE-2016-3856 更正為 CVE-2016-2060)。</li>
<li>本公告有兩個安全性修補程式等級字串，讓 Android 合作夥伴能夠靈活運用，以快速修正部分發生在所有 Android 裝置上的類似漏洞。如需查詢其他相關資訊，請參閱<a href="#common-questions-and-answers">常見問題與解答</a>：<ul>
 <li><strong>2016-08-01</strong>：部分安全性修補程式等級字串。這個安全性修補程式等級字串表示所有與 2016-08-01 相關的問題 (以及所有先前的安全性修補程式等級字串) 都已獲得解決。</li>
 <li><strong>2016-08-05</strong>：完整安全性修補程式等級字串。這個安全性修補程式等級字串表示所有與 2016-08-01 和 2016-08-05 相關的問題 (以及所有先前的安全性修補程式等級字串) 都已獲得解決。</li>
</ul>
</li>
<li>支援的 Nexus 裝置會透過 2016 年 8 月 5 日的安全性修補程式等級接收單一 OTA 更新。</li>
</ul>
<h2 id="mitigations">Android 和 Google 服務問題因應措施</h2>
<p>
本節概述 <a href="/security/enhancements/index.html">Android 安全性平台</a>和 SafetyNet 等服務防護方案所提供的因應措施。這些措施可有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到特定目的。
</p>
<ul>
<li>Android 平台持續推出新的版本來強化安全性，因此有心人士越來越難在 Android 系統上找出漏洞加以利用。我們建議所有使用者盡可能更新至最新版的 Android。</li>
<li>Android 安全性小組採用<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_2015_Report_Final.pdf">「驗證應用程式」和 SafetyNet</a> 主動監控濫用情形；使用這些功能的目的是在發現<a href="http://static.googleusercontent.com/media/source.android.com/en//security/reports/Google_Android_Security_PHA_classifications.pdf">可能有害的應用程式</a>時警告使用者。在預設情況下，搭載 <a href="http://www.android.com/gms">Google 行動服務</a>的裝置會自動啟用「驗證應用程式」。對於需要從 Google Play 以外的來源安裝應用程式的使用者來說，這項防護措施格外重要。Google Play 禁止發佈任何可用於獲取裝置 Root 權限的工具，但「驗證應用程式」會在使用者嘗試安裝已偵測到的 Root 權限獲取應用程式 (無論其來源為何) 時發出警告。此外，「驗證應用程式」會盡可能找出已知會利用權限升級漏洞的惡意應用程式，並封鎖這類應用程式的安裝程序。如果使用者已安裝這類應用程式，「驗證應用程式」會通知使用者並嘗試移除偵測到的應用程式。</li>
<li>在適用情況下，Google Hangouts 和 Messenger 應用程式不會自動將媒體內容傳送給媒體伺服器這類的處理程序。</li>
</ul>
<h2 id="acknowledgements">特別銘謝</h2>
<p>感謝以下研究人員做出的貢獻：
</p>
<ul>
<li>Google Chrome 安全性小組的 Abhishek Arya、Oliver Chang 和 Martin Barbella：CVE-2016-3821、CVE-2016-3837</li>
<li>Check Point Software Technologies Ltd. 的 Adam Donenfeld et al.：
CVE-2016-2504</li>
<li><a href="https://twitter.com/chiachih_wu">C0RE 小組</a>成員 Chiachih Wu (<a href="https://twitter.com/Mingjian_Zhou">@chiachih_wu</a>)、Mingjian Zhou (<a href="http://c0reteam.org">@Mingjian_Zhou</a>)、和 Xuxian Jiang：CVE-2016-3844</li>
<li><a href="https://twitter.com/chiachih_wu">C0RE 小組</a>成員 Chiachih Wu (<a href="mailto:computernik@gmail.com">@chiachih_wu</a>)、Yuan-Tsung Lo (<a href="http://c0reteam.org">computernik@gmail.com</a>) 和 Xuxian Jiang：CVE-2016-3857</li>
<li>Google 的 David Benjamin 和 Kenny Root：CVE-2016-3840</li>
<li><a href="http://weibo.com/u/5622360291">阿里巴巴移動安全小組</a>的 Dawei Peng (<a href="http://jaq.alibaba.com">Vinc3nt4H</a>)：CVE-2016-3822</li>
<li>騰訊 KeenLab (<a href="https://twitter.com/returnsme">@keen_lab</a>) 的 Di Shen (<a href="https://twitter.com/keen_lab">@returnsme</a>)：CVE-2016-3842</li>
<li>Google 的 Dianne Hackborn：CVE-2016-2497</li>
<li>Google 動態工具小組 Dmitry Vyukov：CVE-2016-3841</li>
<li><a href="https://twitter.com/chengjia4574">奇虎 360 科技有限公司</a> IceSword 實驗室的 Gengjia Chen (<a href="http://weibo.com/jfpan">@chengjia4574</a>)、pjf (<a href="http://www.360.com">weibo.com/jfpan</a>)：CVE-2016-3852</li>
<li><a href="https://twitter.com/oldfresher">奇虎 360 科技有限公司</a> Alpha 小組的 Guang Gong (龔廣) (<a href="http://www.360.com">@oldfresher</a>)：CVE-2016-3834</li>
<li>Fortinet 的 FortiGuard 實驗室成員 Kai Lu (<a href="https://twitter.com/K3vinLuSec">@K3vinLuSec</a>)：CVE-2016-3820</li>
<li>Kandala Shivaram Reddy、DS 和 Uppi：CVE-2016-3826</li>
<li><a href="https://twitter.com/Mingjian_Zhou">C0RE 小組</a>的 Mingjian Zhou (<a href="https://twitter.com/chiachih_wu">@Mingjian_Zhou</a>)、Chiachih Wu (<a href="http://c0reteam.org">@chiachih_wu</a>) 和 Xuxian Jiang：CVE-2016-3823、CVE-2016-3835、CVE-2016-3824、CVE-2016-3825</li>
<li>Tesla Motors Product 安全性小組的 Nathan Crandall (<a href="https://twitter.com/natecray">@natecray</a>)：CVE-2016-3847、CVE-2016-3848</li>
<li>阿里巴巴行動安全小組的 Peng Xiao、Chengming Yang、Ning You、Chao Yang 和 Yang Song：CVE-2016-3845</li>
<li>趨勢科技的 Peter Pi (<a href="https://twitter.com/heisecode">@heisecode</a>)：CVE-2016-3849</li>
<li><a href="mailto:rayxcp@gmail.com">WooYun TangLab</a> 的 Qianwei Hu (<a href="http://www.wooyun.org/">rayxcp@gmail.com</a>)：CVE-2016-3846</li>
<li>騰訊 KeenLab (<a href="https://twitter.com/flanker_hqd">@keen_lab</a>) 的 Qidan He (<a href="https://twitter.com/keen_lab">@Flanker_hqd</a>)：CVE-2016-3832</li>
<li>Google 的 Sharvil Nanavati：CVE-2016-3839</li>
<li><a href="https://twitter.com/ad_ili_rai">Security in Telecommunications</a> 的 Shinjo Park (<a href="http://www.isti.tu-berlin.de/security_in_telecommunications">@ad_ili_rai</a>) 和 Altaf Shaik：CVE-2016-3831</li>
<li>Tom Rootjunky：CVE-2016-3853</li>
<li>Vasily Vasiliev：CVE-2016-3819</li>
<li>阿里巴巴的 Weichao Sun (<a href="https://twitter.com/sunblate">@sunblate</a>)：CVE-2016-3827、CVE-2016-3828、CVE-2016-3829</li>
<li><a href="http://weibo.com/wishlinux">趨勢科技股份有限公司</a>的 Wish Wu (<a href="https://twitter.com/wish_wu">吳濰浠</a>) (<a href="http://blog.trendmicro.com/trendlabs-security-intelligence/author/wishwu/">@wish_wu</a>)：CVE-2016-3843</li>
<li>騰訊 Xuanwu 實驗室的 Yongke Wang (<a href="https://twitter.com/rudykewang">@Rudykewang</a>)：CVE-2016-3836</li>
</ul>
<p>我們要向 Copperhead Security 的 Daniel Micay、Jeff Vander Stoep 和 Google 的 Yabin Cui 致謝，他們對於平台層級更新的貢獻降低了 CVE-2016-3843 這類漏洞的影響。這項因應措施是由 Grsecurity 的 Brad Spengler 奠定基礎。
</p>
<h2 id="2016-08-01-details">2016-08-01 安全性修補程式等級 — 安全性漏洞詳情</h2>
<p>下列各節針對 2016-08-01 安全性修補程式等級適用的各項安全性漏洞提供了詳細資訊，包括問題說明、嚴重程度評定原因，以及一份漏洞資訊表，顯示漏洞的 CVE、相關參考資料、嚴重程度、更新的 Nexus 裝置、更新的 Android 開放原始碼計劃版本 (在適用情況下) 和回報日期。如果相關錯誤有公開變更，該錯誤 ID 會連結到相對應的變更 (例如 Android 開放原始碼計劃變更清單)。如果單一錯誤有多項相關變更，其他參考資料可透過該錯誤 ID 後面的編號連結開啟。</p>

<h3 id="remote-code-execution-vulnerability-in-mediaserver">媒體伺服器中的遠端程式碼執行漏洞</h3>
<p>在媒體檔案和資料的處理期間，媒體伺服器中的遠端程式碼執行漏洞可能會讓攻擊者能利用特製檔案造成記憶體出錯。由於這個問題可能會讓遠端程式碼在媒體伺服器程序環境內執行，因此嚴重程度被評定為「最高」。媒體伺服器程序能夠存取串流格式的音訊和視訊，以及第三方應用程式一般無法存取的權限。
</p>
<p>受影響的功能是作業系統的核心部分，而多款應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3819</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/590d1729883f700ab905cdc9ad850f3ddd7e1f56">
       A-28533562</a></td>
   <td>最高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 2 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3820</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/a78887bcffbc2995cf9ed72e0697acf560875e9e">
       A-28673410</a></td>
   <td>最高</td>
   <td>所有 Nexus 裝置</td>
   <td>6.0、6.0.1</td>
   <td>2016 年 5 月 6 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3821</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/42a25c46b844518ff0d0b920c20c519e1417be69">
       A-28166152</a></td>
   <td>最高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="remote-code-execution-vulnerability-in-libjhead">libjhead 中的遠端程式碼執行漏洞</h3>
<p>libjhead 中的遠端程式碼執行漏洞可能會讓攻擊者能利用特製檔案在未獲授權程序的環境中執行任意程式碼。由於這個問題可能會讓遠端程式碼在使用這個程式庫的應用程式中執行，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3822</td>
   <td><a href="https://android.googlesource.com/platform/external/jhead/+/bae671597d47b9e5955c4cb742e468cebfd7ca6b">
       A-28868315</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-mediaserver">媒體伺服器中的權限升級漏洞</h3>
<p>媒體伺服器中的權限升級漏洞可能會讓本機惡意應用程式在獲得授權的程序環境內執行任何程式碼。由於有心人士可利用這個漏洞來取得某些進階功能的本機存取權，第三方應用程式通常無法存取這類功能，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3823</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/7558d03e6498e970b761aa44fff6b2c659202d95">
       A-28815329</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 17 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3824</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/b351eabb428c7ca85a34513c64601f437923d576">
       A-28816827</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 17 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3825</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/d575ecf607056d8e3328ef2eb56c52e98f81e87d">
       A-28816964</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 17 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3826</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/9cd8c3289c91254b3955bd7347cf605d6fa032c6">
       A-29251553</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 6 月 9 日</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-mediaserver">媒體伺服器中的拒絕服務漏洞</h3>
<p>媒體伺服器中的拒絕服務漏洞可能會讓攻擊者能利用特製檔案造成裝置停止運作或重新開機。由於這個問題可能會造成暫時性的遠端拒絕服務，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3827</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/a4567c66f4764442c6cb7b5c1858810194480fb5">
       A-28816956</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>6.0.1</td>
   <td>2016 年 5 月 16 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3828</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/7554755536019e439433c515eeb44e701fb3bfb2">
       A-28835995</a></td>
   <td>高</td>
   <td>All Nexus</td>
   <td>6.0、6.0.1</td>
   <td>2016 年 5 月 17 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3829</td>
   <td><a href="https://android.googlesource.com/platform/external/libavc/+/326fe991a4b7971e8aeaf4ac775491dd8abd85bb">
       A-29023649</a></td>
   <td>高</td>
   <td>All Nexus</td>
   <td>6.0、6.0.1</td>
   <td>2016 年 5 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3830</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/8e438e153f661e9df8db0ac41d587e940352df06">
       A-29153599</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-system-clock">系統時鐘中的拒絕服務漏洞</h3>
<p>系統時鐘中的拒絕服務漏洞可能會讓遠端攻擊者能造成裝置當機。由於這個問題可能會造成暫時性的遠端拒絕服務，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3831</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/opt/telephony/+/f47bc301ccbc5e6d8110afab5a1e9bac1d4ef058">
       A-29083635</a></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 31 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-framework-apis">Framework API 中的權限升級漏洞</h3>
<p>Framework API 中的權限升級漏洞可能會讓本機惡意應用程式規避作業系統為了將應用程式資料與其他應用程式隔離而採取的防護措施。由於這個問題可用於取得應用程式權限等級外的資料存取權，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3832</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/e7cf91a198de995c7440b3b64352effd2e309906">
       A-28795098</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 15 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-shell">Shell 中的權限升級漏洞</h3>
<p>Shell 中的權限升級漏洞可能會讓本機惡意應用程式能避開裝置的限制 (例如使用者限制)。由於這個問題可能會讓有心人士規避本機的使用者權限，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="18%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3833</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/01875b0274e74f97edf6b0d5c92de822e0555d03">
       A-29189712</a>
       [<a href="https://android.googlesource.com/platform/frameworks/base/+/4e4743a354e26467318b437892a9980eb9b8328a">2</a>]</td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-openssl">OpenSSL 中的資訊外洩漏洞</h3>
<p>OpenSSL 中的資訊外洩漏洞可讓本機惡意應用程式存取其權限等級以外的資料。由於這個問題可能導致有心人士在未獲授權的情況下存取機密資料，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-2842</td>
   <td>A-29060514</td>
   <td>無*</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1</td>
   <td>2016 年 3 月 29 日</td>
  </tr>
</tbody></table>
<p>* 此漏洞不會對已安裝所有可用更新的受支援 Nexus 裝置產生影響。</p>

<h3 id="information-disclosure-vulnerability-in-camera-apis">相機 API 中的資訊外洩漏洞</h3>
<p>相機 API 中的資訊外洩漏洞可讓本機惡意應用程式存取其權限等級以外的資料結構。由於這個問題可能導致有心人士在未獲授權的情況下存取機密資料，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3834</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/av/+/1f24c730ab6ca5aff1e3137b340b8aeaeda4bdbc">
       A-28466701</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 4 月 28 日</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-mediaserver">媒體伺服器中的資訊外洩漏洞</h3>
<p>
媒體伺服器中的資訊外洩漏洞可讓本機惡意應用程式存取其權限範圍以外的資料。由於這個問題可能導致有心人士在未獲授權的情況下存取機密資料，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3835</td>
   <td><a href="https://android.googlesource.com/platform/hardware/qcom/media/+/7558d03e6498e970b761aa44fff6b2c659202d95">
       A-28920116</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 23 日</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-surfaceflinger">SurfaceFlinger 中的資訊外洩漏洞</h3>
<p>SurfaceFlinger 服務中的資訊外洩漏洞可讓本機惡意應用程式存取其權限等級以外的資料。由於這個問題可能導致有心人士在未獲使用者明確授權的情況下存取機密資料，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3836</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/native/+/3bcf0caa8cca9143443814b36676b3bae33a4368">
       A-28592402</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>5.0.2、5.1.1、6.0、6.0.1</td>
   <td>2016 年 5 月 4 日</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-wi-fi">Wi-Fi 連線中的資訊外洩漏洞</h3>
<p>
Wi-Fi 連線中的資訊外洩漏洞可讓本機惡意應用程式存取其權限範圍以外的資料。由於這個問題可能導致有心人士在未獲授權的情況下存取機密資料，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3837</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/opt/net/wifi/+/a209ff12ba9617c10550678ff93d01fb72a33399">
       A-28164077</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-system-ui">
系統使用者介面中的拒絕服務漏洞</h3>
<p>系統使用者介面中的拒絕服務漏洞可讓本機惡意應用程式造成使用者無法透過鎖定畫面撥打 119 緊急電話。由於這個問題可能造成重要功能拒絕服務，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3838</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/468651c86a8adb7aa56c708d2348e99022088af3">
       A-28761672</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-bluetooth">藍牙連線中的拒絕服務漏洞</h3>
<p>
藍牙連線中的拒絕服務漏洞可讓本機惡意應用程式造成使用者無法透過藍牙裝置撥打緊急電話。由於這個問題可能造成重要功能拒絕服務，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3839</td>
   <td><a href="https://android.googlesource.com/platform/system/bt/+/472271b153c5dc53c28beac55480a8d8434b2d5c">
       A-28885210</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>
<h2 id="2016-08-05-details">2016-08-05 安全性修補程式等級 — 資安漏洞詳情</h2>
<p>下列各節針對 2016-08-05 安全性修補程式等級適用的各項安全性漏洞提供了詳細資訊，包括問題說明、嚴重程度評定原因，以及一份漏洞資訊表，顯示漏洞的 CVE、相關參考資料、嚴重程度、更新的 Nexus 裝置、更新的 Android 開放原始碼計劃版本 (在適用情況下) 和回報日期。假如相關錯誤有公開變更，該錯誤 ID 會連結到相對應的變更 (例如 Android 開放原始碼計劃變更清單)。如果單一錯誤有多項相關變更，其他參考資料可透過該錯誤 ID 後面的編號連結開啟。</p>

<h3 id="remote-code-execution-vulnerability-in-qualcomm-wi-fi-driver">
Qualcomm Wi-Fi 驅動程式中的遠端程式碼執行漏洞</h3>
<p>Qualcomm Wi-Fi 驅動程式中的遠端程式碼執行漏洞可能會讓遠端攻擊者在核心環境內執行任何程式碼。由於這個問題可能導致本機裝置的安全性徹底被破壞，因此嚴重程度被評定為「最高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9902</td>
   <td>A-28668638
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=3b1c44a3a7129dc25abe2c23543f6f66c59e8f50">
QC-CR#553937</a><br />
<a href="https://us.codeaurora.org/cgit/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=3b1c44a3a7129dc25abe2c23543f6f66c59e8f50">
QC-CR#553941</a>
</p>
</td>
   <td>最高</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
</tbody></table>

<h3 id="remote-code-execution-vulnerability-in-conscrypt">Conscrypt 中的遠端程式碼執行漏洞</h3>
<p>Conscrypt 中的遠端程式碼執行漏洞可能會讓遠端攻擊者在獲得授權的程序環境內執行任何程式碼。由於這個問題可能會允許遠端程式碼執行，因此嚴重程度被評定為「最高」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3840</td>
   <td><a href="https://android.googlesource.com/platform/external/conscrypt/+/5af5e93463f4333187e7e35f3bd2b846654aa214">
       A-28751153</a></td>
   <td>最高</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-components">Qualcomm 元件中的權限升級漏洞</h3>
<p>下方表格列出會影響以下 Qualcomm 元件的安全性漏洞，可能包括：開機載入器、相機驅動程式、字元驅動程式、網路、音訊驅動程式和視訊驅動程式。
</p>
<p>由於這些問題在最嚴重的情況下可能會讓本機惡意應用程式在核心環境內執行任何程式碼，進而導致本機裝置的安全性徹底被破壞，而只能以還原 (Re-flash) 作業系統的方式修復，因此嚴重程度被評定為「最高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9863</td>
   <td>A-28768146
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=75eac48a48562f819f50eeff8369b296d89102d7">
QC-CR#549470</a>
</p>
</td>
   <td>最高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9864</td>
   <td>A-28747998
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=a1124defc680055e2f2a8c8e3da4a94ca2ec842e">
QC-CR#561841</a>
</p></td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9865</td>
   <td>A-28748271
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=e65a876a155de945e306f2726f3a557415e6044e">
QC-CR#550013</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9866</td>
   <td>A-28747684
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=8e6daae70422ad35146a87700e6634a747d1ff5d">
QC-CR#511358</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9867</td>
   <td>A-28749629
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=322c518689a7f820165ca4c5d6b750b02ac34665">
QC-CR#514702</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9868</td>
   <td>A-28749721
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=1f274b74c00187ba1c379971503f51944148b22f">
QC-CR#511976</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9869</td>
   <td>A-28749728
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=8d1f7531ff379befc129a6447642061e87562bca">
QC-CR#514711</a>
[<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=7a26934e4196b4aa61944081989189d59b108768">2</a>]
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9870</td>
   <td>A-28749743
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=4f57652fcd2dce7741f1ac6dc0417e2f265cd1de">
QC-CR#561044</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9871</td>
   <td>A-28749803
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f615e40c706708f74cd826d5b19c63025f54c041">
QC-CR#514717</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9872</td>
   <td>A-28750155
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=fc787ebd71fa231cc7dd2a0d5f2208da0527096a">
QC-CR#590721</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9873</td>
   <td>A-28750726
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=ef29ae1d40536fef7fb95e4d5bb5b6b57bdf9420">
QC-CR#556860</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9874</td>
   <td>A-28751152
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=56ff68b1f93eaf22e5e0284648fd862dc08c9236">
QC-CR#563086</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 5X、Nexus 6P、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9875</td>
   <td>A-28767589
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=b77c694b88a994d077316c157168c710696f8805">
QC-CR#483310</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9876</td>
   <td>A-28767796
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=7efd393ca08ac74b2e3d2639b0ad77da139e9139">
QC-CR#483408</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 5X、Nexus 6、Nexus 6P、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9877</td>
   <td>A-28768281
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=f0c0112a6189747a3f24f20210157f9974477e03">
QC-CR#547231</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9878</td>
   <td>A-28769208
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=96a62c1de93a44e6ca69514411baf4b3d67f6dee">
QC-CR#547479</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9879</td>
   <td>A-28769221
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=ecc8116e1befb3a764109f47ba0389434ddabbe4">
QC-CR#524490</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9880</td>
   <td>A-28769352
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f2a3f5e63e15e97a66e8f5a300457378bcb89d9c">
QC-CR#556356</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9881</td>
   <td>A-28769368
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=ba3f404a10b3bb7e9c20440837df3cd35c5d0c4b">
QC-CR#539008</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9882</td>
   <td>A-28769546
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=3a4ebaac557a9e3fbcbab4561650abac8298a4d9">
QC-CR#552329</a>
[<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=0f6afe815b1b3f920f3502be654c848bdfe5ef38">2</a>]</p>
 </td>
   <td>高</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9883</td>
   <td>A-28769912
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=cbf79a67348e48557c0d0bb9bc58391b3f84bc46">
QC-CR#565160</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9884</td>
   <td>A-28769920
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f4948193c46f75e16d4382c4472485ab12b7bd17">
QC-CR#580740</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9885</td>
   <td>A-28769959
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=a1d5a4cbd5aa8656bc23b40c7cc43941e10f89c3">
QC-CR#562261</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9886</td>
   <td>A-28815575
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=80be0e249c906704085d13d4ae446f73913fc225">
QC-CR#555030</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9887</td>
   <td>A-28804057
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=b1bc773cf61265e0e3871b2e52bd6b3270ffc6c3">
QC-CR#636633</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 7 月 3 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9888</td>
   <td>A-28803642
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=f044936caab337a4384fbfe64a4cbae33c7e22a1">
QC-CR#642735</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 8 月 29 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9889</td>
   <td>A-28803645
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit?id=f4e2f2d4ef58c88340774099dff3324ec8baa24a">
QC-CR#674712</a>
</p></td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2014 年 10 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8937</td>
   <td>A-28803962
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=c66202b9288cc4ab1c38f7c928fa1005c285c170">
QC-CR#770548</a>
</p>
</td>
   <td>高</td>
   <td>Nexus 5、Nexus 6、Nexus 7 (2013)</td>
   <td>2015 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8938</td>
   <td>A-28804030
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=51c39420e3a49d1a7f05a77c64369b7623088238">
QC-CR#766022</a></p></td>
   <td>高</td>
   <td>Nexus 6</td>
   <td>2015 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8939</td>
   <td>A-28398884
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm/commit/?id=884cff808385788fa620833c7e2160a4b98a21da">
QC-CR#779021</a></p></td>
   <td>高</td>
   <td>Nexus 7 (2013)</td>
   <td>2015 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8940</td>
   <td>A-28813987
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=e13ebd727d161db7003be6756e61283dce85fa3b">
QC-CR#792367</a></p></td>
   <td>高</td>
   <td>Nexus 6</td>
   <td>2015 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8941</td>
   <td>A-28814502
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=d4d4d1dd626b21e68e78395bab3382c1eb04877f">
QC-CR#792473</a></p></td>
   <td>高</td>
   <td>Nexus 6、Nexus 7 (2013)</td>
   <td>2015 年 5 月 29 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8942</td>
   <td>A-28814652
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=9ec380c06bbd79493828fcc3c876d8a53fd3369f">
QC-CR#803246</a></p></td>
   <td>高</td>
   <td>Nexus 6</td>
   <td>2015 年 6 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8943</td>
   <td>A-28815158
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=ad376e4053b87bd58f62f45b6df2c5544bc21aee">
QC-CR#794217</a></p>
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=ad376e4053b87bd58f62f45b6df2c5544bc21aee">
QC-CR#836226</a></p></td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2015 年 9 月 11 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9891</td>
   <td>A-28749283
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=c10f03f191307f7114af89933f2d91b830150094">
QC-CR#550061</a></p></td>
   <td>中</td>
   <td>Nexus 5</td>
   <td>2014 年 3 月 13 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9890</td>
   <td>A-28770207
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=14e0c8614d2715589583d8a95e33c422d110eb6f">
QC-CR#529177</a></p></td>
   <td>中</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 6 月 2 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-networking-component">核心網路元件中的權限升級漏洞</h3>
<p>核心網路元件中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這個問題可能導致本機裝置的安全性徹底被破壞，使裝置必須以還原 (Re-flash) 作業系統的方式才能修復，因此嚴重程度被評定為「最高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2015-2686</td>
   <td>A-28759139
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4de930efc23b92ddf88ce91c405ee645fe6e27ea">
上游程式庫核心</a></p></td>
   <td>最高</td>
   <td>所有 Nexus 裝置</td>
   <td>2015 年 3 月 23 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3841</td>
   <td>A-28746669
<p>
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=45f6fad84cc305103b28d73482b344d7f5b76f39">
上游程式庫核心</a></p></td>
   <td>最高</td>
   <td>所有 Nexus 裝置</td>
   <td>2015 年 12 月 3 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-gpu-driver">Qualcomm GPU 驅動程式中的權限升級漏洞</h3>
<p>
Qualcomm GPU 驅動程式中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這個問題可能導致本機裝置的安全性徹底被破壞，造成使用者必須以還原 (Reflash) 作業系統的方式才能修復裝置，因此嚴重程度被評定為「最高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-2504</td>
   <td>A-28026365
       <p>QC-CR#1002974</p></td>
   <td>最高</td>
   <td>Nexus 5、Nexus 5X、Nexus 6、Nexus 6P、Nexus 7 (2013)</td>
   <td>2016 年 4 月 5 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3842</td>
   <td>A-28377352
<p>
  QC-CR#1002974</p></td>
   <td>最高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P</td>
   <td>2016 年 4 月 25 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-performance-component">Qualcomm 效能元件中的權限升級漏洞</h3>
<p>
Qualcomm 效能元件中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這個問題可能導致本機裝置的安全性徹底被破壞，造成使用者必須以還原 (Reflash) 作業系統的方式才能修復裝置，因此嚴重程度被評定為「最高」。
</p>
<p class="note">
<strong>注意：</strong>本公告中還有一項平台層級更新，位在 A-29119870 下方，這項更新的目的在於因應此類型的漏洞。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3843</td>
   <td>A-28086229*
<p>
  QC-CR#1011071</p></td>
   <td>最高</td>
   <td>Nexus 5X、Nexus 6P</td>
   <td>2016 年 4 月 7 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-kernel">核心中的權限升級漏洞</h3>
<p>核心中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何指令。由於這個問題可能導致本機裝置的安全性徹底被破壞，造成使用者必須以還原 (Reflash) 作業系統的方式才能修復裝置，因此嚴重程度被評定為「最高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3857</td>
   <td>A-28522518*</td>
   <td>最高</td>
   <td>Nexus 7 (2013)</td>
   <td>2016 年 5 月 2 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-memory-system">核心記憶體系統中的權限升級漏洞</h3>
<p>
核心記憶體系統中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破解具有特定權限的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2015-1593</td>
   <td>A-29577822
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4e7c22d447bb6d7e37bfe39ff658486ae78e8d77">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>Nexus Player</td>
   <td>2015 年 2 月 13 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3672</td>
   <td>A-28763575
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=8b8addf891de8a00e4d39fc32f93f7c5eb8feceb">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>Nexus Player</td>
   <td>2016 年 3 月 25 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-sound-component">核心音效元件中的權限升級漏洞</h3>
<p>核心音效元件中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破壞特定獲授權的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-2544</td>
   <td>A-28695438
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3567eb6af614dac436c4b16a8d426f9faed639b3">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>2016 年 1 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2016-2546</td>
   <td>A-28694392
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=af368027a49a751d6ff4ee9e3f9961f35bb4fede">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>Pixel C</td>
   <td>2016 年 1 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9904</td>
   <td>A-28592007
<p>
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6217e5ede23285ddfee10d2e4ba0cc2d4c046205">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6、Nexus 6P、Nexus 9、Nexus Player</td>
   <td>2016 年 5 月 4 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-file-system">核心檔案系統中的權限升級漏洞</h3>
<p>
核心檔案系統中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破解具有特定權限的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2012-6701</td>
   <td>A-28939037
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a70b52ec1aaeaf60f4739edb1b422827cb6f3893">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2016 年 3 月 2 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-mediaserver">媒體伺服器中的權限升級漏洞</h3>
<p>媒體伺服器中的權限升級漏洞可能會讓本機惡意應用程式在獲得授權的程序環境內執行任何程式碼。由於這個問題可用於取得第三方應用程式無法存取的某些進階功能的本機存取權，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3844</td>
   <td>A-28299517*
<p>
N-CVE-2016-3844</p></td>
   <td>高</td>
   <td>Nexus 9、Pixel C</td>
   <td>2016 年 4 月 19 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3>核心視訊驅動程式中的權限升級漏洞</h3>
<p>核心視訊驅動程式中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破壞特定獲授權的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3845</td>
   <td>A-28399876*</td>
   <td>高</td>
   <td>Nexus 5</td>
   <td>2016 年 4 月 20 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-serial-peripheral-interface-driver">
串列週邊介面驅動程式中的權限升級漏洞</h3>
<p>
串列週邊介面驅動程式中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破解具有特定權限的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3846</td>
   <td>A-28817378*</td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6P</td>
   <td>2016 年 5 月 17 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，相關的更新已直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-nvidia-media-driver">
NVIDIA 媒體驅動程式中的權限升級漏洞</h3>
<p>NVIDIA 媒體驅動程式中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破壞特定獲授權的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3847</td>
   <td>A-28871433*
<p>
N-CVE-2016-3847</p></td>
   <td>高</td>
   <td>Nexus 9</td>
   <td>2016 年 5 月 19 日</td>
  </tr>
  <tr>
   <td>CVE-2016-3848</td>
   <td>A-28919417*
<p>
N-CVE-2016-3848</p></td>
   <td>高</td>
   <td>Nexus 9</td>
   <td>2016 年 5 月 19 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-ion-driver">ION 驅動程式中的權限升級漏洞</h3>
<p>ION 驅動程式中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破壞特定獲授權的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3849</td>
   <td>A-28939740</td>
   <td>高</td>
   <td>Pixel C</td>
   <td>2016 年 5 月 24 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-qualcomm-bootloader">Qualcomm 開機載入器中的權限升級漏洞</h3>
<p>
Qualcomm 開機載入器中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這種攻擊必須先破解具有特定權限的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="26%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3850</td>
   <td>A-27917291
<p>
<a href="https://source.codeaurora.org/quic/la/kernel/lk/commit/?id=030371d45a9dcda4d0cc3c76647e753a1cc1b782">
QC-CR#945164</a></p></td>
   <td>高</td>
   <td>Nexus 5、Nexus 5X、Nexus 6P、Nexus 7 (2013)</td>
   <td>2016 年 3 月 28 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-kernel-performance">核心效能子系統中的權限升級漏洞</h3>
<p>核心效能子系統中的權限升級漏洞可能會讓本機惡意應用程式在核心環境內執行任何程式碼。由於這個問題可能造成核心的受攻擊面遭攻擊者利用，因此嚴重程度被評定為「高」。
</p>
<p class="note">
<strong>注意：</strong>這是一項平台層級更新，專為因應 CVE-2016-3843 (A-28086229) 這類漏洞而設計。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3843</td>
   <td>A-29119870*</td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>6.0、6.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-lg-electronics-bootloader">LG 電子開機載入器中的權限升級漏洞</h3>
<p>LG 電子開機載入器中的權限升級漏洞可能會讓攻擊者在核心環境內執行任何程式碼。由於這種攻擊必須先破壞特定獲授權的程序才能執行，因此這個問題的嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3851</td>
   <td>A-29189941*</td>
   <td>高</td>
   <td>Nexus 5X</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="information-disclosure-vulnerability-in-qualcomm-components">
Qualcomm 元件中的資訊外洩漏洞</h3>
<p>
下方表格列出會影響以下 Qualcomm 元件的安全性漏洞，包括：開機載入器、相機驅動程式、字元驅動程式、網路、音訊驅動程式和視訊驅動程式。
</p>
<p>
由於這些問題在最嚴重的情況下可能會讓本機惡意應用程式在未經使用者明確允許的情況下，存取其權限範圍以外的資料 (例如機密資料)，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9892</td>
   <td>A-28770164
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=591b1f455c32206704cbcf426bb30911c260c33e">
QC-CR#568717</a></p></td>
   <td>高</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 6 月 2 日</td>
  </tr>
  <tr>
   <td>CVE-2015-8944</td>
   <td>A-28814213
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=e758417e7c31b975c862aa55d0ceef28f3cc9104">
QC-CR#786116</a></p></td>
   <td>高</td>
   <td>Nexus 6、Nexus 7 (2013)</td>
   <td>2015 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9893</td>
   <td>A-28747914
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=bfc6eee5e30a0c20bc37495233506f4f0cc4991d">
QC-CR#542223</a></p></td>
   <td>中</td>
   <td>Nexus 5</td>
   <td>2014 年 3 月 27 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9894</td>
   <td>A-28749708
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=83214431cd02674c70402b160b16b7427e28737f">
QC-CR#545736</a></p></td>
   <td>中</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9895</td>
   <td>A-28750150
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm/commit/?id=cc4b26575602e492efd986e9a6ffc4278cee53b5">
QC-CR#570757</a></p></td>
   <td>中</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9896</td>
   <td>A-28767593
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=89f2bcf1ac860b0b380e579e9a8764013f263a7d">
QC-CR#551795</a></p></td>
   <td>中</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9897</td>
   <td>A-28769856
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=46135d80765cb70a914f02a6e7b6abe64679ec86">
QC-CR#563752</a></p></td>
   <td>中</td>
   <td>Nexus 5</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9898</td>
   <td>A-28814690
<p>
<a href="https://us.codeaurora.org/cgit/quic/la/kernel/msm-3.10/commit/?id=80be0e249c906704085d13d4ae446f73913fc225">
QC-CR#554575</a></p></td>
   <td>中</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 4 月 30 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9899</td>
   <td>A-28803909
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=8756624acb1e090b45baf07b2a8d0ebde114000e">
QC-CR#547910</a></p></td>
   <td>中</td>
   <td>Nexus 5</td>
   <td>2014 年 7 月 3 日</td>
  </tr>
  <tr>
   <td>CVE-2014-9900</td>
   <td>A-28803952
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//kernel/msm-3.10/commit/?id=63c317dbee97983004dffdd9f742a20d17150071">
QC-CR#570754</a></p></td>
   <td>中</td>
   <td>Nexus 5、Nexus 7 (2013)</td>
   <td>2014 年 8 月 8 日</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-kernel-scheduler">核心排程器中的資訊外洩漏洞</h3>
<p>核心排程器中的資訊外洩漏洞可讓本機惡意應用程式存取其權限等級以外的資料。由於這個問題可能導致有心人士在未獲使用者明確授權的情況下存取機密資料，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9903</td>
   <td>A-28731691
<p>
<a href="https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=4efbc454ba68def5ef285b26ebfcfdb605b52755">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>Nexus 5X、Nexus 6P</td>
   <td>2014 年 2 月 21 日</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-mediatek-wi-fi-driver-device-specific">MediaTek Wi-Fi 驅動程式中的資訊外洩漏洞 (特定裝置)</h3>
<p>
MediaTek Wi-Fi 驅動程式中的資訊外洩漏洞可讓本機惡意應用程式存取其權限範圍以外的資料。由於這個問題可能導致有心人士在未獲使用者明確授權的情況下存取機密資料，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3852</td>
   <td>A-29141147*
<p>
  M-ALPS02751738</p></td>
   <td>高</td>
   <td>Android One</td>
   <td>2016 年 4 月 12 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="information-disclosure-vulnerability-in-usb-driver">USB 驅動程式中的資訊外洩漏洞</h3>
<p>USB 驅動程式中的資訊外洩漏洞可讓本機惡意應用程式存取其權限等級以外的資料。由於這個問題可能導致有心人士在未獲使用者明確授權的情況下存取機密資料，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-4482</td>
   <td>A-28619695
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=681fef8380eb818c0b845fca5d2ab1dcbab114ee">
上游程式庫核心</a></p></td>
   <td>高</td>
   <td>所有 Nexus 裝置</td>
   <td>2016 年 5 月 3 日</td>
  </tr>
</tbody></table>

<h3 id="denial-of-service-vulnerability-in-qualcomm-components">Qualcomm 元件中的拒絕服務漏洞</h3>
<p>下方表格列出會影響 Qualcomm 元件 (可能包括 Wi-Fi 驅動程式) 的安全性漏洞。
</p>
<p>由於這些問題在最嚴重的情況下可能會讓攻擊者引發暫時性的遠端拒絕服務，造成裝置停止運作或重新開機，因此嚴重程度被評定為「高」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2014-9901</td>
   <td>A-28670333
<p>
<a href="https://us.codeaurora.org/cgit/quic/la//platform/vendor/qcom-opensource/wlan/prima/commit/?id=637f0f7931dd7265ac1c250dc2884d6389c66bde">
QC-CR#548711</a></p></td>
   <td>高</td>
   <td>Nexus 7 (2013)</td>
   <td>2014 年 3 月 31 日</td>
  </tr>
</tbody></table>

<h3 id="elevation-of-privilege-vulnerability-in-google-play-services">Google Play 服務中的權限升級漏洞</h3>
<p>
Google Play 服務中的權限升級漏洞可能會讓本機攻擊者規避「恢復原廠設定防護機制」，並取得裝置存取權。由於這個問題可能讓有心人士規避「恢復原廠設定防護機制」，而這會讓他人能夠成功重設裝置及清除其中所有資料。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="18%" />
  <col width="10%" />
  <col width="19%" />
  <col width="17%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3853</td>
   <td>A-26803208*</td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>無</td>
   <td>2016 年 5 月 4 日</td>
  </tr>
</tbody></table>
<p>
* 這個問題的修補程式並未開放給一般使用者下載，而是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。
</p>

<h3 id="elevation-of-privilege-vulnerability-in-framework-apis-2">Framework API 中的權限升級漏洞</h3>
<p>
Framework API 中的權限升級漏洞可能會讓預先安裝的應用程式在使用者未獲通知就開始更新的情況下，提高其調用請求篩選器的優先順序。由於這個問題可能導致有心人士在未獲使用者明確授權的情況下取得進階權限，因此嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="18%" />
  <col width="17%" />
  <col width="10%" />
  <col width="19%" />
  <col width="18%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>更新的 Android 開放原始碼計劃版本</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-2497</td>
   <td><a href="https://android.googlesource.com/platform/frameworks/base/+/a75537b496e9df71c74c1d045ba5569631a16298">
       A-27450489</a></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1</td>
   <td>Google 內部資訊</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-kernel-networking-component">核心網路元件中的資訊外洩漏洞</h3>
<p>
核心網路元件中的資訊外洩漏洞可讓本機惡意應用程式存取其權限範圍以外的資料。由於這種攻擊必須先破解具有特定權限的程序才能執行，因此這個問題的嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-4486</td>
   <td>A-28620102
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=5f8e44741f9f216e33736ea4ec65ca9ac03036e6">
上游程式庫核心</a></p></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>2016 年 5 月 3 日</td>
  </tr>
</tbody></table>

<h3 id="information-disclosure-vulnerability-in-kernel-sound-component">核心音效元件中的資訊外洩漏洞</h3>
<p>
核心音效元件中的資訊外洩漏洞可讓本機惡意應用程式存取其權限範圍以外的資料。由於這種攻擊必須先破解具有特定權限的程序才能執行，因此這個問題的嚴重程度被評定為「中」。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-4569</td>
   <td>A-28980557
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=cec8f96e49d9be372fdb0c3836dcf31ec71e457e">
上游程式庫核心</a></p></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>2016 年 5 月 9 日</td>
  </tr>
  <tr>
   <td>CVE-2016-4578</td>
   <td>A-28980217
<p>
<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=e4ec8cc8039a7063e24204299b462bd1383184a5">
上游程式庫核心</a>
[<a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=9a47e9cff994f37f7f0dbd9ae23740d0f64f9fe6">2</a>]</p></td>
   <td>中</td>
   <td>所有 Nexus 裝置</td>
   <td>2016 年 5 月 11 日</td>
  </tr>
</tbody></table>

<h3 id="vulnerabilities-in-qualcomm-components">Qualcomm 元件中的漏洞</h3>
<p>下方表格列出會影響以下 Qualcomm 元件的安全性漏洞，包括：開機載入器、相機驅動程式、字元驅動程式、網路、音訊驅動程式和視訊驅動程式。
</p>
<table>
  <colgroup><col width="19%" />
  <col width="20%" />
  <col width="10%" />
  <col width="23%" />
  <col width="17%" />
  </colgroup><tbody><tr>
   <th>CVE</th>
   <th>參考資料</th>
   <th>嚴重程度</th>
   <th>更新的 Nexus 裝置</th>
   <th>回報日期</th>
  </tr>
  <tr>
   <td>CVE-2016-3854</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm/commit/?h=LA.AF.1.2.1_rb1.5&id=cc96def76dfd18fba88575065b29f2ae9191fafa">
   QC-CR#897326</a></td>
   <td>高</td>
   <td>無</td>
   <td>2016 年 2 月</td>
  </tr>
  <tr>
   <td>CVE-2016-3855</td>
   <td><a href="https://source.codeaurora.org/quic/la/kernel/msm-3.10/commit/?id=ab3f46119ca10de87a11fe966b0723c48f27acd4">
   QC-CR#990824</a></td>
   <td>高</td>
   <td>無</td>
   <td>2016 年 5 月</td>
  </tr>
  <tr>
   <td>CVE-2016-2060</td>
   <td><a href="https://source.codeaurora.org/quic/la/platform/system/netd/commit/?id=e9925f5acb4401588e23ea8a27c3e318f71b5cf8">
   QC-CR#959631</a></td>
   <td>中</td>
   <td>無</td>
   <td>2016 年 4 月</td>
  </tr>
</tbody></table>
<h2 id="common-questions-and-answers">常見問題與解答</h2>
<p>如果您在閱讀這篇公告後有任何疑問，可參考本節的常見問答。
</p>
<p>
<strong>1. 如何判斷我目前的裝置軟體版本是否已修正這些問題？
</strong>
</p>
<p>2016 年 8 月 1 日之後的安全性修補程式等級已解決了所有與 2016-8-01 安全性修補城市字串等級相關的問題。2016 年 8 月 5 日之後的安全性修補程式等級已解決了所有與 2016-08-05 安全性修補程式字串等級相關的問題。如要查看安全性修補程式等級的操作說明，請造訪<a href="https://support.google.com/nexus/answer/4457705">說明中心</a>。提供這些更新的裝置製造商應將修補程式字串等級設定為：[ro.build.version.security_patch]:[2016-08-01] 或 [ro.build.version.security_patch]:[2016-08-05]。
</p>
<p>
<strong>2. 為什麼這篇公告設有兩個安全性修補程式等級字串？</strong>
</p>
<p>本公告設有兩個安全性修補程式等級字串，目的是讓 Android 合作夥伴能夠靈活運用，以快速修正部分發生在所有 Android 裝置上的類似漏洞。我們建議 Android 合作夥伴修正本公告所列的所有問題，並使用最新的安全性修補程式等級字串。
</p>
<p>如果裝置的安全性修補程式等級在 2016 年 8 月 5 日之後，就必須加入本安全性公告 (以及之前公告) 中的所有適用修補程式。
</p>
<p>
安全性修補程式等級為 2016 年 8 月 1 日的裝置必須納入所有與該安全性修補程式等級相關的問題，以及在之前安全性公告中回報的所有問題適用的修正程式。此外，安全性修補程式等級為 2016 年 8 月 1 日的裝置也可以加入與 2016 年 8 月 5 日安全性修補程式等級相關的部分修正程式。
</p>
<p>
3<strong>. 如何判斷哪些 Nexus 裝置會受到哪種問題的影響？</strong>
</p>
<p>
在 <a href="#2016-08-01-details">2016-08-01</a> 和 <a href="#2016-08-05-details">2016-08-05</a> 安全性漏洞詳情的章節中，每個表格都包含「更新的 Nexus 裝置」欄，當中針對各項問題分別列出了受影響但已更新的 Nexus 裝置。此欄中的選項包括：
</p>
<ul>
<li><strong>所有 Nexus 裝置</strong>：如果問題會影響到所有 Nexus 裝置，表格內「更新的 Nexus 裝置」<em></em>欄中就會顯示「所有 Nexus 裝置」字樣。「所有 Nexus 裝置」包含下列<a href="https://support.google.com/nexus/answer/4457705#nexus_devices">支援的裝置</a>：Nexus 5、Nexus 5X、Nexus 6、Nexus 6P、Nexus 7 (2013)、Nexus 9、Android One、Nexus Player 和 Pixel C。</li>
<li><strong>部分 Nexus 裝置</strong>：如果問題並未影響所有 Nexus 裝置，「更新的 Nexus 裝置」<em></em>欄中就會列出受到影響的 Nexus 裝置。</li>
<li><strong>不影響任何 Nexus 裝置</strong>：如果問題不會影響到任何 Nexus 裝置，表格內「更新的 Nexus 裝置」<em></em>欄中就會標示「無」字樣。
</li>
</ul>
<p>
<strong>4. 參考資料欄底下列出的識別碼代表什麼意義？</strong>
</p>
<p>資安漏洞詳情表格中「參考資料」<em></em>欄底下的項目可能會包含一個前置字串，用以表示該參考資料值所屬的機構或公司。這些前置字串代表的意義如下：
</p>
<table>
  <tbody><tr>
   <th>前置字串</th>
   <th>參考資料</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android 錯誤 ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 參考編號</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 參考編號</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 參考編號</td>
  </tr>
</tbody></table>
<h2 id="revisions">修訂版本</h2>

<ul>
  <li>2016 年 8 月 1 日：發佈公告。</li>
  <li>修訂公告內容 (加入 Android 開放原始碼計劃連結)。</li>
  <li>2016 年 8 月 16 日：修訂公告內容 (將 CVE-2016-3856 更正為 CVE-2016-2060，以及更新參考網址)。</li>
  <li>2016 年 10 月 21 日：修訂公告內容 (更正 CVE-2016-4486 中的錯字)。</li>
</ul>

</body></html>